@tailwind base;
@tailwind components;
@tailwind utilities;

/* animate button start */
.button-container {
  display: block;
  width: 200px;
  margin: 0px auto;
}

button.button-container {
  display: block;
  cursor: pointer;
  width: 100%;
  border-radius: 40px;
  border: none;
  padding: 20px;
  font-size: 20px;
  color: white;
  background: linear-gradient(90deg, #9383c5, #56e3fa);
}

.effect-container {
  position: relative;
  overflow: hidden;

  --effect-name: ripple;
  --effect-duration: 1000ms;
  --effect-top: 0px;
  --effect-left: 0px;
  --effect-height: 100px;
  --effect-width: 100px;
  --effect-color: white;
}

.effect-container::before {
  content: '';
  position: absolute;
  opacity: 0.3;

  top: var(--effect-top);
  left: var(--effect-left);
  height: var(--effect-height);
  width: var(--effect-width);
  border-radius: 50%;
  transform: scale(0);
  background: var(--effect-color);
}

.effect-container.active::before {
  @apply animate-ripple;
  border-radius: 50%;
  /* animation: ripple var(--effect-duration) linear forwards; */
}

/* @keyframes ripple {
  from {
    transform: scale(0);
  }
  to {
    transform: scale(6);
    opacity: 0;
  }
} */
/* animate button end */

/* like button start */
#heart-svg {
  cursor: pointer;
  overflow: visible;
  width: 50px;
}
#heart-svg #heart {
  @apply animate-animateHeartOut;
  transform-origin: center;
  /* animation: animateHeartOut 0.3s linear forwards; */
}
#heart-svg #main-circ {
  transform-origin: 29.5px 29.5px;
}

/* .loveButton {
  display: none;
} */

.loveButton #heart {
  @apply animate-animateHeart;
  transform: scale(0.2);
  fill: #e2264d;
  /* animation: animateHeart 0.3s linear forwards 0.25s; */
}
.loveButton #main-circ {
  @apply animate-animateCircle;
  transition: all 2s;
  /* animation: animateCircle 0.3s linear forwards; */
  opacity: 1;
}
.loveButton #grp1 {
  opacity: 1;
  transition: 0.1s all 0.3s;
}
.loveButton #grp1 #oval1 {
  transform: scale(0) translate(0, -30px);
  transform-origin: 0 0 0;
  transition: 0.5s transform 0.3s;
}
.loveButton #grp1 #oval2 {
  transform: scale(0) translate(10px, -50px);
  transform-origin: 0 0 0;
  transition: 1.5s transform 0.3s;
}

.loveButton #grp2 {
  opacity: 1;
  transition: 0.1s all 0.3s;
}
.loveButton #grp2 #oval1 {
  transform: scale(0) translate(30px, -15px);
  transform-origin: 0 0 0;
  transition: 0.5s transform 0.3s;
}
.loveButton #grp2 #oval2 {
  transform: scale(0) translate(60px, -15px);
  transform-origin: 0 0 0;
  transition: 1.5s transform 0.3s;
}
.loveButton #grp3 {
  opacity: 1;
  transition: 0.1s all 0.3s;
}
.loveButton #grp3 #oval1 {
  transform: scale(0) translate(30px, 0px);
  transform-origin: 0 0 0;
  transition: 0.5s transform 0.3s;
}
.loveButton #grp3 #oval2 {
  transform: scale(0) translate(60px, 10px);
  transform-origin: 0 0 0;
  transition: 1.5s transform 0.3s;
}
.loveButton #grp4 {
  opacity: 1;
  transition: 0.1s all 0.3s;
}
.loveButton #grp4 #oval1 {
  transform: scale(0) translate(30px, 15px);
  transform-origin: 0 0 0;
  transition: 0.5s transform 0.3s;
}
.loveButton #grp4 #oval2 {
  transform: scale(0) translate(40px, 50px);
  transform-origin: 0 0 0;
  transition: 1.5s transform 0.3s;
}
.loveButton #grp5 {
  opacity: 1;
  transition: 0.1s all 0.3s;
}
.loveButton #grp5 #oval1 {
  transform: scale(0) translate(-10px, 20px);
  transform-origin: 0 0 0;
  transition: 0.5s transform 0.3s;
}
.loveButton #grp5 #oval2 {
  transform: scale(0) translate(-60px, 30px);
  transform-origin: 0 0 0;
  transition: 1.5s transform 0.3s;
}

.loveButton #grp6 {
  opacity: 1;
  transition: 0.1s all 0.3s;
}
.loveButton #grp6 #oval1 {
  transform: scale(0) translate(-30px, 0px);
  transform-origin: 0 0 0;
  transition: 0.5s transform 0.3s;
}
.loveButton #grp6 #oval2 {
  transform: scale(0) translate(-60px, -5px);
  transform-origin: 0 0 0;
  transition: 1.5s transform 0.3s;
}
.loveButton #grp7 {
  opacity: 1;
  transition: 0.1s all 0.3s;
}
.loveButton #grp7 #oval1 {
  transform: scale(0) translate(-30px, -15px);
  transform-origin: 0 0 0;
  transition: 0.5s transform 0.3s;
}
.loveButton #grp7 #oval2 {
  transform: scale(0) translate(-55px, -30px);
  transform-origin: 0 0 0;
  transition: 1.5s transform 0.3s;
}
.loveButton #grp2 {
  opacity: 1;
  transition: 0.1s opacity 0.3s;
}
.loveButton #grp3 {
  opacity: 1;
  transition: 0.1s opacity 0.3s;
}
.loveButton #grp4 {
  opacity: 1;
  transition: 0.1s opacity 0.3s;
}
.loveButton #grp5 {
  opacity: 1;
  transition: 0.1s opacity 0.3s;
}
.loveButton #grp6 {
  opacity: 1;
  transition: 0.1s opacity 0.3s;
}
.loveButton #grp7 {
  opacity: 1;
  transition: 0.1s opacity 0.3s;
}

/* @keyframes animateCircle {
  40% {
    transform: scale(10);
    opacity: 1;
    fill: #dd4688;
  }
  55% {
    transform: scale(11);
    opacity: 1;
    fill: #d46abf;
  }
  65% {
    transform: scale(12);
    opacity: 1;
    fill: #cc8ef5;
  }
  75% {
    transform: scale(13);
    opacity: 1;
    fill: transparent;
    stroke: #cc8ef5;
    stroke-width: 0.5;
  }
  85% {
    transform: scale(17);
    opacity: 1;
    fill: transparent;
    stroke: #cc8ef5;
    stroke-width: 0.2;
  }
  95% {
    transform: scale(18);
    opacity: 1;
    fill: transparent;
    stroke: #cc8ef5;
    stroke-width: 0.1;
  }
  100% {
    transform: scale(19);
    opacity: 1;
    fill: transparent;
    stroke: #cc8ef5;
    stroke-width: 0;
  }
} */

/* @keyframes animateHeart {
  0% {
    transform: scale(0.2);
  }
  40% {
    transform: scale(1.2);
  }
  100% {
    transform: scale(1);
  }
}

@keyframes animateHeartOut {
  0% {
    transform: scale(1.4);
  }
  100% {
    transform: scale(1);
  }
} */
/* like button end */
